import { Component } from '@angular/core';
import { IonHeader, IonToolbar, IonTitle, IonContent, IonIcon, IonButtons, IonButton, IonFooter, IonLabel, IonAvatar, IonList, IonItem, IonItemOptions, IonItemOption, IonThumbnail, IonItemSliding, IonCardContent, IonCardHeader, IonCardTitle, IonCard, IonRow, IonCol, IonGrid } from '@ionic/angular/standalone';
import { ExploreContainerComponent } from '../explore-container/explore-container.component';
import { addIcons } from 'ionicons';
import { logoTwitter, logoWechat } from 'ionicons/icons';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';

@Component({
  selector: 'app-tab1',
  templateUrl: 'tab1.page.html',
  styleUrls: ['tab1.page.scss'],
  standalone: true,
  imports: 
  [
    CommonModule,RouterModule,
    IonItemSliding,IonCardContent,IonCardHeader,IonCardTitle,IonCard,
    IonRow,IonCol,IonGrid,
    IonHeader, IonToolbar, IonTitle, IonContent, ExploreContainerComponent,
    IonIcon,IonButtons,IonButton,IonFooter,IonLabel,IonAvatar,IonList,IonItem,IonItemOptions,IonItemOption,
    IonThumbnail,
  ],
})
export class Tab1Page {
  constructor() {
    addIcons({logoWechat,logoTwitter})

  }

  features = [
    {
      icon: 'create',
      title: '剧本创作',
      description: '运用AIGC技术，快速生成符合景区特色的剧本。',
      link: '/script-creation',
    },
    {
      icon: 'color-palette',
      title: 'IP打造',
      description: '设计独特角色形象，发掘景区特色IP。',
      link: '/ip-creation',
    },
    {
      icon: 'game-controller',
      title: '游戏体验',
      description: '参与沉浸式剧本杀，享受互动乐趣。',
      link: '/game-experience',
    },
  ];

  scripts = [
    {
      coverImage: 'assets/images/script1.jpg',
      title: '古城秘案',
      description: '揭开古城隐藏的秘密',
    },
    {
      coverImage: 'assets/images/script2.jpg',
      title: '江湖恩怨',
      description: '在江湖中寻找真相',
    },
    {
      coverImage: 'assets/images/script3.jpg',
      title: '失落的宝藏',
      description: '寻找失落的历史遗迹',
    },
  ];

  reviews = [
    {
      avatar: 'assets/images/user1.jpg',
      username: '小明',
      content: '剧本设计非常有趣，沉浸感十足！',
      rating: 5,
    },
    {
      avatar: 'assets/images/user2.jpg',
      username: '小红',
      content: 'IP形象设计很独特，值得推荐！',
      rating: 4,
    },
    {
      avatar: 'assets/images/user3.jpg',
      username: '老王',
      content: '游戏体验非常棒，期待下次再来！',
      rating: 5,
    },
  ];

  startExperience(script: any) {
    // 跳转到剧本体验页面
    console.log('开始体验:', script.title);
  }
}



